@font-face {
    font-display: swap;
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 400;
    src: url('../fonts/open-sans-v43-latin-regular.eot');
    src: url('../fonts/open-sans-v43-latin-regular.eot?#iefix') format('embedded-opentype'), url('../fonts/open-sans-v43-latin-regular.woff2') format('woff2'), url('../fonts/open-sans-v43-latin-regular.woff') format('woff'), url('../fonts/open-sans-v43-latin-regular.ttf') format('truetype'), url('../fonts/open-sans-v43-latin-regular.svg#OpenSans') format('svg');
}

@font-face {
    font-display: swap;
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 700;
    src: url('../fonts/open-sans-v43-latin-700.eot');
    src: url('../fonts/open-sans-v43-latin-700.eot?#iefix') format('embedded-opentype'), url('../fonts/open-sans-v43-latin-700.woff2') format('woff2'), url('../fonts/open-sans-v43-latin-700.woff') format('woff'), url('../fonts/open-sans-v43-latin-700.ttf') format('truetype'), url('../fonts/open-sans-v43-latin-700.svg#OpenSans') format('svg');
}

@font-face {
    font-display: swap;
    font-family: 'Caveat';
    font-style: normal;
    font-weight: 700;
    src: url('../fonts/caveat-v17-latin-700.eot');
    src: url('../fonts/caveat-v17-latin-700.eot?#iefix') format('embedded-opentype'), url('../fonts/caveat-v17-latin-700.woff2') format('woff2'), url('../fonts/caveat-v17-latin-700.woff') format('woff'), url('../fonts/caveat-v17-latin-700.ttf') format('truetype'), url('../fonts/caveat-v17-latin-700.svg#Caveat') format('svg');
}

:root {
    font-size: 16px;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    color: #404041;
    font-family: 'Open Sans', Arial, sans-serif;
    font-size: 16px;
    line-height: 23px;
    font-weight: 400;
    overflow: hidden;
}

#wrapper {
    max-width: 730px;
    margin: 16px auto;
    background: url('../images/background.jpg') no-repeat;
}

header {
    opacity: 0;
}

article {
    padding: 16px 40px 0;
}

.qrcode {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 16px;
    padding: 0 10px 0 0;
}

footer {
    padding: 6px 16px 20px 26px;
}

article>p {
    margin: 0 0 12px;
}

:is(strong, h1, h2) {
    font-weight: 700;
}

h1 {
    margin: 0 0 6px;
    font-size: 29px;
    line-height: 1.2;
    text-align: center;
    color: #b92b29;
}

h1 span {
    display: block;
    font-size: 20px;
    line-height: 26px;
    margin: 6px 0 0;
}

h2 {
    font-size: 16px;
    line-height: 1.5;
    font-family: 'Caveat', Arial, sans-serif;
    color: #b92b29;
    text-align: center;
}

:is(a:link, a:visited, a:hover, a:active) {
    color: #404041;
    text-decoration: none;
    white-space: nowrap;
}

img {
    max-width: 100%;
}

@media all and (max-width: 728px) {
    #wrapper {
        margin: 0 auto;
        background: none;
    }

    header {
        opacity: 1;
    }

    article {
        padding: 16px 16px 0;
    }

    footer {
        padding: 16px;
    }

    .qrcode {
        padding: 0;
    }

    p {
        hyphens: auto;
        text-wrap: pretty;
    }

    p span {
        white-space: nowrap;
    }

    h1 {
        margin: 0 0 16px;
    }

    h2 {
        font-size: 20px;
        line-height: 1.2;
    }
}

@media all and (max-width: 660px) {
    .qrcode {
        flex-direction: column;
    }

    .qrcode p {
        text-align: center;
    }
}